
/***************************************************************************
*
* AutomateIT -- MS Office COM objects cloner
* 
* Copyright (C) 2005 by ApriorIT <support@apriorit.com>
* 
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as published by
* the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
* 
* You should have received a copy of the GNU Lesser General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
****************************************************************************/

#include "stdafx.h"
#include "WordParagraph.h"

using namespace AutomateIT;
using namespace AutomateIT::WordClone;

CWordParagraph::CWordParagraph()
{
    TRACINGMETHOD;
}

CWordParagraph::~CWordParagraph()
{
    TRACINGMETHOD;
}

STDMETHODIMP CWordParagraph::get_Range(Range** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_Application(IApplication** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_Creator(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_Parent(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_Format(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_Format(IDispatch* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_TabStops(TabStops** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_TabStops(TabStops* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_Borders(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_Borders(IDispatch* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_DropCap(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_Style(VARIANT* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_Style(VARIANT* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_Alignment(WdParagraphAlignment* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_Alignment(WdParagraphAlignment prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_KeepTogether(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_KeepTogether(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_KeepWithNext(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_KeepWithNext(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_PageBreakBefore(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_PageBreakBefore(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_NoLineNumber(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_NoLineNumber(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_RightIndent(single* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_RightIndent(single prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_LeftIndent(single* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_LeftIndent(single prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_FirstLineIndent(single* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_FirstLineIndent(single prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_LineSpacing(single* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_LineSpacing(single prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_LineSpacingRule(WdLineSpacing* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_LineSpacingRule(WdLineSpacing prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_SpaceBefore(single* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_SpaceBefore(single prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_SpaceAfter(single* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_SpaceAfter(single prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_Hyphenation(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_Hyphenation(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_WidowControl(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_WidowControl(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_Shading(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_FarEastLineBreakControl(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_FarEastLineBreakControl(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_WordWrap(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_WordWrap(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_HangingPunctuation(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_HangingPunctuation(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_HalfWidthPunctuationOnTopOfLine(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_HalfWidthPunctuationOnTopOfLine(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_AddSpaceBetweenFarEastAndAlpha(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_AddSpaceBetweenFarEastAndAlpha(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_AddSpaceBetweenFarEastAndDigit(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_AddSpaceBetweenFarEastAndDigit(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_BaseLineAlignment(WdBaselineAlignment* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_BaseLineAlignment(WdBaselineAlignment prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_AutoAdjustRightIndent(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_AutoAdjustRightIndent(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_DisableLineHeightGrid(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_DisableLineHeightGrid(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_OutlineLevel(WdOutlineLevel* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_OutlineLevel(WdOutlineLevel prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::CloseUp()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::OpenUp()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::OpenOrCloseUp()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::TabHangingIndent(short Count)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::TabIndent(short Count)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::Reset()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::Space1()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::Space15()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::Space2()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::IndentCharWidth(short Count)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::IndentFirstLineCharWidth(short Count)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::Next(VARIANT* Count, Paragraph** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::Previous(VARIANT* Count, Paragraph** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::OutlinePromote()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::OutlineDemote()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::OutlineDemoteToBody()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::Indent()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::Outdent()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_CharacterUnitRightIndent(single* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_CharacterUnitRightIndent(single prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_CharacterUnitLeftIndent(single* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_CharacterUnitLeftIndent(single prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_CharacterUnitFirstLineIndent(single* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_CharacterUnitFirstLineIndent(single prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_LineUnitBefore(single* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_LineUnitBefore(single prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_LineUnitAfter(single* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_LineUnitAfter(single prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_ReadingOrder(WdReadingOrder* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_ReadingOrder(WdReadingOrder prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_ID(BSTR* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_ID(BSTR prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_SpaceBeforeAuto(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_SpaceBeforeAuto(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_SpaceAfterAuto(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::put_SpaceAfterAuto(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::get_IsStyleSeparator(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordParagraph::SelectNumber()
{
    TRACINGMETHOD;
    return S_OK;
}
