/***************************************************************************
*
* AutomateIT -- MS Office COM objects cloner
* 
* Copyright (C) 2005 by ApriorIT <support@apriorit.com>
* 
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as published by
* the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
* 
* You should have received a copy of the GNU Lesser General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
****************************************************************************/

#include "stdafx.h"
#include "WordRange.h"

using namespace AutomateIT;
using namespace AutomateIT::WordClone;

CWordRange::CWordRange() : m_pDocument(NULL), m_Start(0), m_End(0)
{
	TRACINGMETHOD;
}

CWordRange::~CWordRange()
{
	TRACINGMETHOD;
}

STDMETHODIMP CWordRange::get_Text(BSTR* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_Text(BSTR prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_FormattedText(Range** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_FormattedText(Range* prop)
{
    TRACINGMETHOD;
    return S_OK;
}


STDMETHODIMP CWordRange::get_Start(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_Start(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_End(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_End(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Font(_Font** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_Font(_Font* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Duplicate(Range** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_StoryType(WdStoryType* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Tables(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Words(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Sentences(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Characters(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Footnotes(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Endnotes(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Comments(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Cells(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Sections(Sections** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Paragraphs(Paragraphs** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Borders(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_Borders(IDispatch* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Shading(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_TextRetrievalMode(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_TextRetrievalMode(IDispatch* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Fields(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_FormFields(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Frames(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_ParagraphFormat(_ParagraphFormat** prop)
{
    TRACINGMETHOD;
	return S_OK;
}

STDMETHODIMP CWordRange::put_ParagraphFormat(_ParagraphFormat* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_ListFormat(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Bookmarks(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Application(IApplication** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Creator(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Parent(LPDISPATCH* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Bold(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_Bold(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Italic(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_Italic(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Underline(WdUnderline* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_Underline(WdUnderline prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_EmphasisMark(WdEmphasisMark* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_EmphasisMark(WdEmphasisMark prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_DisableCharacterSpaceGrid(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_DisableCharacterSpaceGrid(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Revisions(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Style(VARIANT* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_Style(VARIANT* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_StoryLength(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_LanguageID(WdLanguageID* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_LanguageID(WdLanguageID prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_SynonymInfo(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Hyperlinks(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_ListParagraphs(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Subdocuments(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_GrammarChecked(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_GrammarChecked(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_SpellingChecked(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_SpellingChecked(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_HighlightColorIndex(WdColorIndex* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_HighlightColorIndex(WdColorIndex prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Columns(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Rows(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_CanEdit(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_CanPaste(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_IsEndOfRowMark(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_BookmarkID(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_PreviousBookmarkID(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Find(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_PageSetup(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_PageSetup(IDispatch* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_ShapeRange(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Case(WdCharacterCase* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_Case(WdCharacterCase prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Information(WdInformation Type, VARIANT* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_ReadabilityStatistics(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_GrammaticalErrors(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_SpellingErrors(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Orientation(WdTextOrientation* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_Orientation(WdTextOrientation prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_InlineShapes(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_NextStoryRange(Range** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_LanguageIDFarEast(WdLanguageID* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_LanguageIDFarEast(WdLanguageID prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_LanguageIDOther(WdLanguageID* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_LanguageIDOther(WdLanguageID prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::Select()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::SetRange(long Start, long End)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::Collapse(VARIANT* Direction)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::InsertBefore(BSTR Text)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::InsertAfter(BSTR Text)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::Next(VARIANT* Unit, VARIANT* Count, Range** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::Previous(VARIANT* Unit, VARIANT* Count, Range** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::StartOf(VARIANT* Unit, VARIANT* Extend, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::EndOf(VARIANT* Unit, VARIANT* Extend, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::Move(VARIANT* Unit, VARIANT* Count, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::MoveStart(VARIANT* Unit, VARIANT* Count, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::MoveEnd(VARIANT* Unit, VARIANT* Count, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::MoveWhile(VARIANT* Cset, VARIANT* Count, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::MoveStartWhile(VARIANT* Cset, VARIANT* Count, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::MoveEndWhile(VARIANT* Cset, VARIANT* Count, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::MoveUntil(VARIANT* Cset, VARIANT* Count, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::MoveStartUntil(VARIANT* Cset, VARIANT* Count, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::MoveEndUntil(VARIANT* Cset, VARIANT* Count, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::Cut()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::Copy()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::Paste()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::InsertBreak(VARIANT* Type)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::InsertFile(BSTR FileName, VARIANT* Range, VARIANT* ConfirmConversions, VARIANT* Link, VARIANT* Attachment)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::InStory(Range* Range, VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::InRange(Range* Range, VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::Delete(VARIANT* Unit, VARIANT* Count, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::WholeStory()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::Expand(VARIANT* Unit, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::InsertParagraph()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::InsertParagraphAfter()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::ConvertToTableOld(VARIANT* Separator, VARIANT* NumRows, VARIANT* NumColumns, VARIANT* InitialColumnWidth, VARIANT* Format, VARIANT* ApplyBorders, VARIANT* ApplyShading, VARIANT* ApplyFont, VARIANT* ApplyColor, VARIANT* ApplyHeadingRows, VARIANT* ApplyLastRow, VARIANT* ApplyFirstColumn, VARIANT* ApplyLastColumn, VARIANT* AutoFit, IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::InsertDateTimeOld(VARIANT* DateTimeFormat, VARIANT* InsertAsField, VARIANT* InsertAsFullWidth)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::InsertSymbol(long CharacterNumber, VARIANT* Font, VARIANT* Unicode, VARIANT* Bias)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::InsertCrossReference_2002(VARIANT* ReferenceType, WdReferenceKind ReferenceKind, VARIANT* ReferenceItem, VARIANT* InsertAsHyperlink, VARIANT* IncludePosition)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::InsertCaptionXP(VARIANT* Label, VARIANT* Title, VARIANT* TitleAutoText, VARIANT* Position)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::CopyAsPicture()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::SortOld(VARIANT* ExcludeHeader, VARIANT* FieldNumber, VARIANT* SortFieldType, VARIANT* SortOrder, VARIANT* FieldNumber2, VARIANT* SortFieldType2, VARIANT* SortOrder2, VARIANT* FieldNumber3, VARIANT* SortFieldType3, VARIANT* SortOrder3, VARIANT* SortColumn, VARIANT* Separator, VARIANT* CaseSensitive, VARIANT* LanguageID)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::SortAscending()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::SortDescending()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::IsEqual(Range* Range, VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::Calculate(float* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::GoTo(VARIANT* What, VARIANT* Which, VARIANT* Count, VARIANT* Name, Range** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::GoToNext(WdGoToItem What, Range** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::GoToPrevious(WdGoToItem What, Range** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::PasteSpecial(VARIANT* IconIndex, VARIANT* Link, VARIANT* Placement, VARIANT* DisplayAsIcon, VARIANT* DataType, VARIANT* IconFileName, VARIANT* IconLabel)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::LookupNameProperties()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::ComputeStatistics(WdStatistic Statistic, long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::Relocate(long Direction)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::CheckSynonyms()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::SubscribeTo(BSTR Edition, VARIANT* Format)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::CreatePublisher(VARIANT* Edition, VARIANT* ContainsPICT, VARIANT* ContainsRTF, VARIANT* ContainsText)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::InsertAutoText()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::InsertDatabase(VARIANT* Format, VARIANT* Style, VARIANT* LinkToSource, VARIANT* Connection, VARIANT* SQLStatement, VARIANT* SQLStatement1, VARIANT* PasswordDocument, VARIANT* PasswordTemplate, VARIANT* WritePasswordDocument, VARIANT* WritePasswordTemplate, VARIANT* DataSource, VARIANT* From, VARIANT* To, VARIANT* IncludeFields)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::AutoFormat()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::CheckGrammar()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::CheckSpelling(VARIANT* CustomDictionary, VARIANT* IgnoreUppercase, VARIANT* AlwaysSuggest, VARIANT* CustomDictionary2, VARIANT* CustomDictionary3, VARIANT* CustomDictionary4, VARIANT* CustomDictionary5, VARIANT* CustomDictionary6, VARIANT* CustomDictionary7, VARIANT* CustomDictionary8, VARIANT* CustomDictionary9, VARIANT* CustomDictionary10)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::GetSpellingSuggestions(VARIANT* CustomDictionary, VARIANT* IgnoreUppercase, VARIANT* MainDictionary, VARIANT* SuggestionMode, VARIANT* CustomDictionary2, VARIANT* CustomDictionary3, VARIANT* CustomDictionary4, VARIANT* CustomDictionary5, VARIANT* CustomDictionary6, VARIANT* CustomDictionary7, VARIANT* CustomDictionary8, VARIANT* CustomDictionary9, VARIANT* CustomDictionary10, IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::InsertParagraphBefore()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::NextSubdocument()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::PreviousSubdocument()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::ConvertHangulAndHanja(VARIANT* ConversionsMode, VARIANT* FastConversion, VARIANT* CheckHangulEnding, VARIANT* EnableRecentOrdering, VARIANT* CustomDictionary)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::PasteAsNestedTable()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::ModifyEnclosure(VARIANT* Style, VARIANT* Symbol, VARIANT* EnclosedText)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::PhoneticGuide(BSTR Text, WdPhoneticGuideAlignmentType Alignment, long Raise, long FontSize, BSTR FontName)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::InsertDateTime(VARIANT* DateTimeFormat, VARIANT* InsertAsField, VARIANT* InsertAsFullWidth, VARIANT* DateLanguage, VARIANT* CalendarType)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::Sort(VARIANT* ExcludeHeader, VARIANT* FieldNumber, VARIANT* SortFieldType, VARIANT* SortOrder, VARIANT* FieldNumber2, VARIANT* SortFieldType2, VARIANT* SortOrder2, VARIANT* FieldNumber3, VARIANT* SortFieldType3, VARIANT* SortOrder3, VARIANT* SortColumn, VARIANT* Separator, VARIANT* CaseSensitive, VARIANT* BidiSort, VARIANT* IgnoreThe, VARIANT* IgnoreKashida, VARIANT* IgnoreDiacritics, VARIANT* IgnoreHe, VARIANT* LanguageID)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::DetectLanguage()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::ConvertToTable(VARIANT* Separator, VARIANT* NumRows, VARIANT* NumColumns, VARIANT* InitialColumnWidth, VARIANT* Format, VARIANT* ApplyBorders, VARIANT* ApplyShading, VARIANT* ApplyFont, VARIANT* ApplyColor, VARIANT* ApplyHeadingRows, VARIANT* ApplyLastRow, VARIANT* ApplyFirstColumn, VARIANT* ApplyLastColumn, VARIANT* AutoFit, VARIANT* AutoFitBehavior, VARIANT* DefaultTableBehavior, IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::TCSCConverter(WdTCSCConverterDirection WdTCSCConverterDirection, VARIANT_BOOL CommonTerms, VARIANT_BOOL UseVariants)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_LanguageDetected(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_LanguageDetected(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_FitTextWidth(float* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_FitTextWidth(float prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_HorizontalInVertical(WdHorizontalInVerticalType* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_HorizontalInVertical(WdHorizontalInVerticalType prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_TwoLinesInOne(WdTwoLinesInOneType* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_TwoLinesInOne(WdTwoLinesInOneType prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_CombineCharacters(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_CombineCharacters(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_NoProofing(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_NoProofing(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_TopLevelTables(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Scripts(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_CharacterWidth(WdCharacterWidth* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_CharacterWidth(WdCharacterWidth prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Kana(WdKana* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_Kana(WdKana prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_BoldBi(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_BoldBi(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_ItalicBi(long* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_ItalicBi(long prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_ID(BSTR* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_ID(BSTR prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_HTMLDivisions(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_SmartTags(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_ShowAll(VARIANT_BOOL* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::put_ShowAll(VARIANT_BOOL prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Document(_Document** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_FootnoteOptions(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_EndnoteOptions(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::PasteAndFormat(WdRecoveryType Type)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::PasteExcelTable(VARIANT_BOOL LinkedToExcel, VARIANT_BOOL WordFormatting, VARIANT_BOOL RTF)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::PasteAppendTable()
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_XMLNodes(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_XMLParentNode(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_Editors(IDispatch** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_XML(VARIANT_BOOL DataOnly, BSTR* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::get_EnhMetaFileBits(VARIANT* prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::GoToEditableRange(VARIANT* EditorID, Range** prop)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::InsertXML(BSTR XML, VARIANT* Transform)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::InsertCaption(VARIANT* Label, VARIANT* Title, VARIANT* TitleAutoText, VARIANT* Position, VARIANT* ExcludeLabel)
{
    TRACINGMETHOD;
    return S_OK;
}

STDMETHODIMP CWordRange::InsertCrossReference(VARIANT* ReferenceType, WdReferenceKind ReferenceKind, VARIANT* ReferenceItem, VARIANT* InsertAsHyperlink, VARIANT* IncludePosition, VARIANT* SeparateNumbers, VARIANT* SeparatorString)
{
    TRACINGMETHOD;
    return S_OK;
}